# Module: type/keyid

## type/keyid

#### new require("type/keyid")()

  Source:
    - type/keyid.js, line 30

Source:
  - type/keyid.js, line 18

### Methods

#### read(input, position) → {module:type/keyid}

  Parsing method for a key id

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `input` | String | Input to read the key id from
  `position` | integer | Position where to start reading the key id from input

  Source:
    - type/keyid.js, line 42

  ##### Returns:

  This object
  Type
    module:type/keyid